import os

from zope import schema, component
from zope.interface import implements
from z3c.relationfield.schema import RelationChoice
from Products.CMFCore.utils import getToolByName

from plone.formwidget.contenttree import ObjPathSourceBinder

from themis.fields import LegisSession
from plone.app.textfield import RichText

from tabellio.agenda.interfaces import MessageFactory as _
from event import IBaseEvent, BaseEvent, EventBaseView


class IParlEvent(IBaseEvent):
    session = LegisSession(title=_(u'Session'))
    order_of_the_day = RichText(title=_(u'Order of the day'), required=False)

    cri = RelationChoice(title=_(u'Minutes'), required=False,
                                    source=ObjPathSourceBinder())


class ParlEvent(BaseEvent):
    implements(IParlEvent)

    def klass(self):
        return 'parlementary-event'


class ParlEventBaseView(EventBaseView):
    def next_event_url(self):
        return EventBaseView.next_event_url(self,
                portal_type=('tabellio.agenda.parlevent',
                             'tabellio.agenda.comevent'))

    def previous_event_url(self):
        return EventBaseView.previous_event_url(self,
                portal_type=('tabellio.agenda.parlevent',
                             'tabellio.agenda.comevent'))
